Questions tagged [nxopen]

NX Open is an API for Siemens' NX, which is computer-assisted design/engineering software. Use this tag for questions about using the NX Open API to get information or extend functionality to Siemens NX.

the tag refers to the NXOpen API of SIEMENS NX CAD software

19 questions
29
votes
3 answers

Why doesn't C# have header files? Will the namespace take care of everything?

Can anyone tell clearly about the usage of header files and namespaces in C#? Because in C++ I was using ******.h files to read library functions. And when I saw some sample programs in C# they were missing, Can anyone tell me why? I'm using C# to…
Senthur
  • 323
  • 1
  • 3
  • 6
5
votes
1 answer

Connecting to Siemens NX server from python (NXOpen); pythonnet GetObject TypeError

I am trying to grab the Session object from a Siemens NX server (on the same machine, i.e. localhost). I am using python 3.6 with pythonnet, since the remote connection (apparently) only works through .NET - I am VERY new to pythonnet (only tried…
Jakob Müller
  • 91
  • 1
  • 8
4
votes
2 answers

Error: "The procedure entry point ?JPEG_convert_to_rgb@@YAPAEHPAEPAH1@Z could not be located in the dynamic link library libimage.dll"

Windows XP, Visual Studio 2005, C/C++, automation for Unigraphics NX using Open C I'm trying to code an external program for NXOpen (i.e. a program with the NX library that runs on Windows, as opposed to an internal program that runs within NX).…
Rae
  • 309
  • 3
  • 9
2
votes
1 answer

How to handle an opening file error in NX Open

I wrote code to export a PDF file from an NX file. When I run it for a single file everything is Ok. Then I try to use this code through a bunch of files (over a for loop), Everything is fine. But sometimes when I try to change the target files, it…
2
votes
1 answer

Listing all the modules/subpackages in the NXOpen package

I am trying to follow this post, to list all the modules in the NX Open package: import NXOpen import pkgutil the_string = "" package = NXOpen for importer, modname, ispkg in pkgutil.iter_modules(package.__path__): the_string = the_string +…
Foad S. Farimani
  • 12,396
  • 15
  • 78
  • 193
2
votes
1 answer

How can I label a line in NX Open C#?

How would I label these lines using coding? I have already figured out how to identify and count up how many lines exist using this code: using NXOpen; using System; public class FailedRegionCounting { public static void Main() { …
John Lee
  • 31
  • 1
1
vote
1 answer

Using 'out' in Linq query

I am working with a List of Component objects, componentList. Component has method GetPosition which returns position of a component via component.GetPosition(out position, out orientation). I can get X, Y, Z via position.X, position.Y,…
M.Sqrl
  • 394
  • 3
  • 12
1
vote
1 answer

How can I label curves using NX Open C#?

I am new to NX Open journals and coding in general, and I have tried to accomplish something with studying, but now I am in need of some guidance. I want to add code that will label these curves that it has found as just "Curve 1", "Curve 2", "Curve…
John Lee
  • 31
  • 1
1
vote
1 answer

C# NxOpen - Find all Feature Groups in active Work Part

Hy, in the CAD programm SiemensNX i have an active Work Part. Inside this WorkPart i have some features (for example curves). For this features i create a FeatureGroup, like a folder with documents in the windows explorer. Now i try to find over the…
MarcelM
  • 29
  • 4
0
votes
0 answers

Camera view screen capture in NX Open API results is hidding CAD elements

I have written using NX Open API in C# language for capturing an image of a sheet metal part and identifying any missing CAD? It works correctly for most cases, but there are some instances where it produces incorrect results. The sheet metal part…
nitishhsinghhh
  • 23
  • 2
  • 10
0
votes
1 answer

How to use a library that requires .NET Framework 4.5 in a .NET Core project

I need to use a package called NXOpen which requires .NET Framework 4.5 or later, in my project which is running .NET Core. I can include NXOpen and write code with it, however on runtime I get the following error, "Could not load type…
PaperBee
  • 15
  • 6
0
votes
0 answers

How can I extract facets and their associated nodes from a 3D mesh using NX Open?

I'm quite new to NX Open so pardon me if this is a trivial question. I have a 3D part file that I meshed using tetrahedrons, and applied some loads and constraints. The solver I will be using is FENICSx. The way FENICSx works in my project is that…
Haridev V
  • 3
  • 3
0
votes
0 answers

How can I fire up a specific web-page, by using CoreWebView2 (VB.Net)

I would appreciate if someone can guide me a bit regarding CoreWebView2. I'm NXOpen developer /language=Vb.Net /DevApp = VS2019 Prof But the topic in this thread is totally of topic NX. I just want to have a button inside the NX GUI, where users can…
lklo
  • 1
  • 2
0
votes
0 answers

NXOpen, How to get first and last point3d of a dimension?

I'm trying to get the first and second point of a given dimension in NX draft. Actually I tried this code: var firstPoint3D = dimension.GetFirstAssociativity().FirstDefinitionPoint; var SecondPoint3D =…
0
votes
0 answers

How to assign materials for NXOpen FEM Parts from MatML Library

I'm trying to assign material for FEM part from MatML Library. Below are the Libraries used. NXOpen.PhysMat.PhysicalMaterialListBuilder physicalMaterialListBuilder1; physicalMaterialListBuilder1 =…
1
2